const store = {}

const storeFunc = {
  /**
   * set store key vlaue
   * @param {string} key
   * @param {object} val
   * @return {boolean}
   */
  set: (key, val) => {
    if (typeof key !== 'string' || key.length === 0) return false
    store[key] = val
    return true
  },
  /**
   * get store key value
   * @param {string} key
   * @return {object?}
   */
  get: (key) => {
    if (typeof key !== 'string' || key.length === 0) return null
    return store[key] || null
  },
  /**
   * del store key vlaue
   * @param {string} key
   * @return {boolean}
   */
  del: (key) => {
    if (typeof key !== 'string' || key.length === 0) return false
    delete store[key]
    return true
  }
}

module.exports = storeFunc
