const Koa = require('koa')
const app = new Koa()
const koaLogger = require('koa-logger')
const cors = require('@koa/cors')
const koaStatic = require('koa-static')
const rootRoouter = require('./route/index.js')
const path = require('path')

const server = app.listen(10230, () => {
  console.log(`server start on port ${server.address().port}`)
})

module.exports = server

app.use(koaLogger())
app.use(cors({
  origin: ctx => ctx.get('origin'),
  credentials: true
}))
app.use(koaStatic(path.resolve(__dirname, 'public')))
app.use(rootRoouter.allowedMethods())
app.use(rootRoouter.routes())
